#!/bin/env python3
import requests
import sys

failed = 0

def checkurl(path, ignore=False, status=200):
	global failed
	for prefix in ['http://videoag.fsmpi.rwth-aachen.de', 'https://videoag.fsmpi.rwth-aachen.de', 'https://video.fsmpi.rwth-aachen.de', 'https://video.rwth-aachen.de', 'https://rwth.video']:
		req = requests.head(prefix+path, allow_redirects=True)
		if req.status_code != status:
			if ignore:
				print('[urlcheck_legacy]', 'Warning:', req.status_code, prefix+path)
			else:
				print('[urlcheck_legacy]', 'Error:', req.status_code, prefix+path)
				failed += 1

checkurl('/')
checkurl('/site/feed.php?newcourses')
checkurl('/?view=faq')
checkurl('/site/feed.php?all')
checkurl('/?course=16ws-progra')
checkurl('/?view=player&lectureid=7319')
checkurl('/pub/16ws-progra/16ws-progra-161019-1080p.mp4')
checkurl('/site/feed.php?16ws-afi')
checkurl('/site/embed.php?vid=6088')
checkurl('/site/embed.php?lecture=7319')

if failed:
	sys.stderr.write('[urlcheck_legacy] '+str(failed)+' checks failed')
	sys.exit(1)
